# PSF-LoginServer - master - net.psforever.objects.ce.InteractWithMines
PSF - LoginServer - master - net.psforever.objects.ce.InteractWithMines
Keywords: PSF LoginServer master net.psforever.objects.ce.InteractWithMines

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package ce
  Definition Classes
    objects
- BaseDeployable
- Deployable
- DeployableBehavior
- DeployableCategory
- DeployedItem
- InteractWithMines
- TelepadControl
- TelepadLike

c

net.psforever.objects.ce

# InteractWithMines

###

#### class InteractWithMines extends ZoneInteraction

This game entity may infrequently test whether it may interact with game world deployable extra-territorial munitions. "Interact", here, is a graceful word for "trample upon" and the consequence should be an explosion and maybe death.

Source
  InteractWithMines.scala

Linear Supertypes
ZoneInteraction, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InteractWithMines
2. ZoneInteraction
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new InteractWithMines(range: Float)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def interaction(target: InteractsWithZone): Unit

    Trample upon active mines in our current detection sector and alert those mines.

    Trample upon active mines in our current detection sector and alert those mines.

    target

      the fixed element in this test

    Definition Classes
      InteractWithMines → ZoneInteraction
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def resetInteraction(target: InteractsWithZone): Unit

    Mines can not be un-exploded or un-alerted.

    Mines can not be un-exploded or un-alerted. All that can be done is blanking our retained previous messaging targets.

    target

      the fixed element in this test

    Definition Classes
      InteractWithMines → ZoneInteraction
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from ZoneInteraction

### Inherited from AnyRef

### Inherited from Any

### Ungrouped